Sets the sarprop weight decay shift

- « fann_set_sarprop_temperature

- fann_set_scaling_params »

- PHP Manual
- Fann Functions
- Sets the sarprop weight decay shift

# fann_set_sarprop_weight_decay_shift

(PECL fann >= 1.0.0)

fann_set_sarprop_weight_decay_shift — Sets the sarprop weight decay shift

### Description

fann_set_sarprop_weight_decay_shift(resource `$ann`, float `$sarprop_weight_decay_shift`): bool

Sets the sarprop weight decay shift.

### Parameters

`ann`

  Neural network resource.

`sarprop_weight_decay_shift`

  The sarprop weight decay shift.

### Return Values

Returns `true` on success, or `false` otherwise.

### Notes

> Note:

> This function is only available if the fann extension has been build against libfann >= 2.2.

### See Also

- fann_get_sarprop_weight_decay_shift() - Returns the sarprop weight decay shift